//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	CalChild.h	--- base class for objects which can be instantiated
//					from other classes
//
//	CHANGE HISTORY:
//		UL, 1998-11-18: 1.0.0: - initial version
//
//	AUTHOR:
//		U. Lammers, Fri Jul 24 09:46:32 MET DST 1998
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al., 
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/src/CalChild.h,v 1.2 2004/08/04 12:18:14 rsaxton Exp $
//

#ifndef CAL_CHILD
#define CAL_CHILD


template <class T>
class CalChild {
public:
	CalChild(const T *parent) : _parent(parent) {}
	T *parent() { return const_cast<T *>(_parent); }
	const T *parent() const { return _parent; }
	bool isOrphan() const { return !_parent; }

protected:
	void parent(const T *p) { _parent = p; }

private:
	const T * _parent;
};

#endif
