//
//	stringpool: test the StringPool class
//
//	UL, Fri May 29 18:04:00 MET DST 1998
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/test/stringpool.cc,v 1.4 2004/08/04 12:18:14 rsaxton Exp $
//

#include <iostream>
#include <string>
#include "StringPool.h"

int main(unsigned argc, char **argv)
{
	const char *opts[] = { "infile",
						   "outfile",
						   "expression",
						   "filterpersist",
						   "destructive",
						   "flagcolumn",
						   "flagbit",
						   "energycol",
						   "imgfile",
						   "imgbinsize",
						   "xcol",
						   "ycol",
						   "specfile",
						   "specbinsize",
						   "specminchan",
						   "specmaxchan",
						   "ratesfile",
						   "clobber",
						   "mode",
						   0 };

	StringPool pool(opts);

	unsigned nPos = 0;
	--argc; ++argv;
	for (unsigned n=0; n<argc; ++n) {
		std::string arg(argv[n]);
		std::string parmName(pool[nPos]),
			   parmVal(arg);
		std::string::size_type p;
		if ((p = arg.find("=")) != std::string::npos) {
			//
			//	"param=value" given
			//
			parmName = pool.expand(arg.substr(0, p));
			parmVal = arg.substr(p+1, arg.length()-p-1);
		} else
			//
			//	positional parameter
			//
			++nPos;
		std::cout<<parmName<<"="<<parmVal<<" ";
	}
	std::cout<<std::endl;

	return 0;
} // main()

